Skip to main content
GET https://geekapis.com/v1/models 接口用于获取当前 API Key 可访问的模型列表,完全兼容 OpenAI Models API 格式。返回结果会依据令牌模型限制、用户组、可用渠道和模型计费配置动态过滤,不同 API Key 可能看到不同的模型列表。

鉴权

Authorization
string
required
Bearer Token 认证。在请求头中添加:
Authorization: Bearer YOUR_API_KEY
前往 API Key 管理页面 获取您的 API Key。

查询参数

type
string
default:"text"
模型类型筛选。可选值:
说明
textchat仅返回文字对话模型(默认)
image仅返回图片生成模型
video仅返回视频生成模型
audio仅返回音频模型
all返回全部可用模型
不传时默认只返回文字对话模型。视频和音频等异步任务模型不会出现在默认结果中,如需获取请使用 type=all

响应字段

success
boolean
请求是否成功。
object
string
列表对象类型,固定为 list
data
object[]
模型列表。

代码示例

curl --request GET \
  --url 'https://geekapis.com/v1/models' \
  --header 'Authorization: Bearer YOUR_API_KEY'

响应示例

200 - 成功响应
{
  "success": true,
  "object": "list",
  "data": [
    {
      "id": "claude-sonnet-4-6",
      "object": "model",
      "created": 1626777600,
      "owned_by": "anthropic",
      "supported_endpoint_types": ["chat_completions", "responses"]
    },
    {
      "id": "gpt-5",
      "object": "model",
      "created": 1626777600,
      "owned_by": "openai",
      "supported_endpoint_types": ["chat_completions"]
    },
    {
      "id": "gpt-5-pro-official",
      "object": "model",
      "created": 1626777600,
      "owned_by": "openai",
      "supported_endpoint_types": ["responses"]
    }
  ]
}
关于 supported_endpoint_types
  • 包含 chat_completions 的模型可通过 POST /v1/chat/completions 调用。
  • 包含 responses 的模型可通过 POST /v1/responses 调用。
  • 仅包含 responses 的模型(Responses Only)不支持 Chat Completions 接口,必须使用 Responses API。
完整模型说明及能力对比请参阅模型一览
过滤规则说明
  • 若您的 API Key 配置了模型限制,列表中只会出现该令牌允许访问的模型。
  • 默认不返回图片、视频、音频等异步任务模型,如需获取请使用 ?type=all